Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-05-2012 20:00:04

Warghal
Membre
Distrib. : squezze
Noyau : 2.6.32-5
(G)UI : gnome
Inscription : 21-04-2012

[Résolu] Installation de libreoffice

Bonsoir les pros,

Je tente d'installer libreoffice sur ma machine mais il y aurait un problème au niveau des dépendance que je ne comprends pas. En effet les dépots sont activé mais il m'affiche le message suivant:

Les paquets suivants contiennent des dépendances non satisfaites :
libreoffice : Dépend: libreoffice-core (= 1:3.4.6-2~bpo60+1) mais ne sera pas installé
               Dépend: libreoffice-writer mais ne sera pas installé
               Dépend: libreoffice-calc mais ne sera pas installé
               Dépend: libreoffice-impress mais ne sera pas installé
               Dépend: libreoffice-draw mais ne sera pas installé
               Dépend: libreoffice-math mais ne sera pas installé
               Dépend: libreoffice-base mais ne sera pas installé
               Dépend: libreoffice-report-builder-bin mais ne sera pas installé
               Dépend: libreoffice-filter-mobiledev mais ne sera pas installé
               Dépend: libreoffice-java-common (>= 1:3.4.6~) mais ne sera pas installé
E: Paquets défectueux


J'ai aussi entendu parler qu'on pouvait telecharger un .deb et faire un lien symbolique ou quelque chose du genre mais je n'ai rien compris.

Et je vais être chiant jusqu'au bout en vous demandant comment je pourais faire pour virer les jeux qui ont été installé par défaut car j'ai pas réussi graphiquement a le faire hmm

Merci d'avance smile

Dernière modification par Warghal (12-05-2012 20:46:11)

Hors ligne

#2 12-05-2012 20:16:25

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Résolu] Installation de libreoffice

Salut

Comme il est d'usage d'ouvrir un fil de discussion par problème, on va regarder ce qui cloche avec l'installation de libreoffice (le problème avec les jeux devra faire l'objet d'un autre fil).

libreoffice-core (= 1:3.4.6-2~bpo60+)

Ça c'est la version qui se trouve dans le dépôt squeeze-backports. Le dépôt squeeze-backports est bien activé selon ce que tu dis. Maintenant, il faudrait que tu nous en dise un peu plus sur ta méthode d'installation. As-tu fait par exemple un :

aptitude -t squeeze-backports install libreoffice


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 12-05-2012 20:38:38

Warghal
Membre
Distrib. : squezze
Noyau : 2.6.32-5
(G)UI : gnome
Inscription : 21-04-2012

Re : [Résolu] Installation de libreoffice

Salut martin,

Desolé de demander deux problèmes en même temps c'est juste que je ne voulais pas trop polluer le forum sur les installation/désintallation, mais pas de soucis je m'en vais de ce pas créer un autre topic smile

Oui je l'ai fait a l'instant... et ca fonctionne!!! je ne savais pas qu'il existait cette méthode pour installer des paquets, si à l'avenir je tente cette commande et que ca ne fonctionne pas il y en a d'autres qui pourrait éventuellement faire l'affaire?

A quoi ca sert exactement d'ajouter squeeze-backports s'ils sont déjà installé?

Merci beaucoup pour ton aide smile

Hors ligne

#4 12-05-2012 20:47:07

Flo
Membre
Inscription : 03-05-2012

Re : [Résolu] Installation de libreoffice

Donne le résultat aussi de la commande :
[c]cat /etc/apt/sources.list /etc/apt/sources.list.d/*[/c]

Flo

Hors ligne

#5 12-05-2012 20:49:52

Warghal
Membre
Distrib. : squezze
Noyau : 2.6.32-5
(G)UI : gnome
Inscription : 21-04-2012

Re : [Résolu] Installation de libreoffice

voilou

deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

# squeeze-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free

# backports
deb http://ftp.fr.debian.org/debian/ squeeze-proposed-updates contrib non-free main
deb-src http://ftp.fr.debian.org/debian/ squeeze-proposed-updates contrib non-free main
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free

Hors ligne

#6 12-05-2012 21:01:45

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] Installation de libreoffice

Warghal a écrit :

A quoi ca sert exactement d'ajouter squeeze-backports s'ils sont déjà installé?


Ce qu'indique ton sources.list, ce sont les dépôts où tu télécharges les paquets à installer.

Quand tu indiques -t squeeze-backports, tu forces apt à utiliser les paquets des backports, plus récents, que les paquets squeeze ordinaires.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#7 12-05-2012 21:03:58

Warghal
Membre
Distrib. : squezze
Noyau : 2.6.32-5
(G)UI : gnome
Inscription : 21-04-2012

Re : [Résolu] Installation de libreoffice

Ah ok merci pour l'info paskal smile

Hors ligne

#8 13-05-2012 02:33:26

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Résolu] Installation de libreoffice

Warghal a écrit :

Oui je l'ai fait a l'instant... et ca fonctionne!!! je ne savais pas qu'il existait cette méthode pour installer des paquets, si à l'avenir je tente cette commande et que ca ne fonctionne pas il y en a d'autres qui pourrait éventuellement faire l'affaire?

A quoi ca sert exactement d'ajouter squeeze-backports s'ils sont déjà installé?

Merci beaucoup pour ton aide smile


Salut

Comme l'a indiqué paskal, on retrouve dans le dépôt squeeze-backports des paquets plus récents que ceux se trouvant dans le dépôt squeeze. Il s'agit en fait de paquets provenant de la branche testing qui ont été compilé pour s'intégrer directement dans squeeze.

Maintenant si tu n'as pas de fichiers preferences (avec la branche stable ce n'est habituellement pas nécessaire), la priorité des différents dépôts est de 500 sauf pour squeeze-backports qui est de 100. D'où l'utilisation de l'option -t. Avec cette option, le gestionnaire de paquets se trouve momentanément à utiliser les paquets de la branche squeeze-backports. Pour conserver l'intégrité de sa stable, on voudra installer au besoin certains paquets issus de backports mais pas tous. Donc, en résumém l'option -t pour les installer. Par la suite, les mises à jours se feront automatiquement pour les paquets pris dans backports.

Tu trouveras des explications concernant ce sujet dans le wiki à cet endroit.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

Pied de page des forums